<?php
/**
* Formularz z elementami konfiguracji sklepu.
*
* @author  krzys@sote.pl
* @version $Id: configure.html.php,v 1.25 2004/06/29 14:02:21 krzys Exp $
* @package configure
*/

global $config; 
$theme->bar($lang->configure_title,"100%");print "<BR>";
$theme->desktop_open("100%");

// odczytaj aktualne order_id
$order_id_current=$mdbd->select("order_id","order_id",1,array(),"LIMIT 1");
/**
* Dodaj obsug formularzy.
*/
require_once ("HTML/Form.php");

$break="</td></tr><tr><td><hr></td></tr><tr><td align=right>";

$form =& new HTML_Form("index.php","POST");
$form->addHidden("update","true");

// Poka mozliwoc zmiany symbolu waluty tylko dla wersji light. W wersji expert
// zmiana symbolu waluty jest zintegrowana z modum walut
if ($config->nccp!=0x1388) {
    $form->addText("configure[currency]",$lang->configure_form['currency'],$config->currency,6);
} else {
    $form->addHidden("configure[currency]",$config->currency);
}
$form->addSelect("configure[price_type]",$lang->configure_form['price_type'],$lang->price_type,$config->price_type);

$form->addSelect("configure[record_row_type_default]",$break.$lang->configure_form['record_row_type_default'],$lang->configure_record_row_type_default,$config->record_row_type_default);
$form->addSelect("configure[main_order_default]",$lang->configure_form['main_order_default'],$lang->main_order_default,$config->main_order_default);
$form->addText("configure[products_on_page_short]",$lang->configure_form['products_on_page_short'],$config->products_on_page['short'],4);
$form->addText("configure[products_on_page_long]",$lang->configure_form['products_on_page_long'],$config->products_on_page['long'],4);


$form->addText("configure[google_keywords]",$break.$lang->configure_form['google_keywords'],$config->google['keywords'],70);
$form->addText("configure[google_title]",$lang->configure_form['google_title'],$config->google['title'],70);
$form->addTextarea("configure[google_description]",$lang->configure_form['google_description'],$config->google['description'],80,7,1024);


$form->addText("configure[image_max_size]",$break.$lang->configure_form['image_max_size'].$lang->configure_form['pixels'],$config->image['max_size'],4);
$form->addText("configure[image_min_size]",$lang->configure_form['image_min_size'].$lang->configure_form['pixels'],$config->image['min_size'],4);

$form->addBlank("",$break.$lang->configure_form['random_on_page']);
$form->AddText("configure[random_on_page_promotion]",$lang->configure_form['random_on_page_promotion'],$config->random_on_page['promotion'],2);
$form->AddText("configure[random_on_page_newcol]",$lang->configure_form['random_on_page_newcol'],$config->random_on_page['newcol'],2);
$form->AddText("configure[random_on_page_bestseller]",$lang->configure_form['random_on_page_bestseller'],$config->random_on_page['bestseller'],2);


$form->addText("configure[id_start_orders_default]",$break.$lang->configure_form['id_start_orders_default'],$order_id_current,4);
$form->addSelect("configure[newsedit_columns_default]",$break.$lang->configure_form['newsedit_columns_default'],$lang->newsedit_columns_default,$config->newsedit_columns_default);

$form->addCheckbox("configure[newsedit]",$lang->configure_form['newsedit'],$config->newsedit);
$form->addCheckbox("configure[category_multi]",$lang->configure_form['category_multi'],$config->category_multi);
$form->addCheckbox("configure[newsletter]",$lang->configure_form['newsletter'],$config->newsletter);
if (in_array("currency",$config->plugins)) {
	$form->addCheckbox("configure[currency_show_form]",$lang->configure_form['currency_show_form'],$config->currency_show_form);
}
$form->addCheckbox("configure[cyfra_photo]",$lang->configure_form['cyfra_photo'],$config->cyfra_photo);
if (in_array("extbasket",$config->plugins)) {
    $form->addCheckbox("configure[basket_photo]",$lang->configure_form['basket_photo'],$config->basket_photo);
}
$form->addCheckbox("configure[pay_method_active_1]",$lang->configure_form['pay_method_active_1'],$config->pay_method_active['1']);
$form->addCheckbox("configure[pay_method_active_11]",$lang->configure_form['pay_method_active_11'],$config->pay_method_active['11']);


$form->addSubmit("submit",$lang->update);
$form->display();

$theme->desktop_close();
?>
