<?php
/**
* Edycja transakcji.
*
* @author  m@sote.pl
* @version $Id: edit.php,v 2.12 2004/08/04 14:34:26 maroslaw Exp $
* @package order
* @subpackage order
*/

/**
* \@global $id GET (lub $order_id)
*/

$global_database=true;
$global_secure_test=true;
$DOCUMENT_ROOT=$HTTP_SERVER_VARS['DOCUMENT_ROOT'];
/**
* Nagwek skryptu.
*/
require_once ("$DOCUMENT_ROOT/../include/head.inc");

// inicjuj ID
if (! empty($_REQUEST['order_id'])) {
    $order_id=addslashes($_REQUEST['order_id']);
    if (! ereg("^[0-9]+$",$order_id)) $order_id=0; 
    else {
        $order_id=$mdbd->select("order_id","order_register","order_id=?",array($order_id=>"int"),"LIMIT 1");
    }
}

$theme->head_window();

if (empty($order_id)) {
    print "<center>";
    print $lang->order_errors['unknown_order'];
    $theme->close();
    print "</center>";
    $theme->foot_window();       
    exit;
}

require_once ("include/currency.inc.php");
require_once ("include/my_crypt.inc");
require_once ("./include/order_func.inc.php");
require_once ("./include/order_products.inc.php");
require_once ("./include/get_order_id.inc.php");

$order_products =& new orderProducts($order_id);

// wywolano aktualizacje transakcji
if (@$_POST['update']==true) {
    
    // usu zaznaczone produkty z zamwienia
    if (! empty($_REQUEST['products_del'])) {
        // @todo dodac funkcj usuwajca odpowiednie rekordy z order_products + wywoanie
        $order_products->delete($_REQUEST['products_del']);        
    }
    
    // aktualizuj dane zamwienia (dodanie nowego produktu do zamwienia)    
    if (! empty($_REQUEST['products_add']['user_id'])) {        
        $order_products->add($_REQUEST['products_add']);    
    }    

    // kwota zamwienia wg. tabeli order_products
    $__total_amount=$order_products->totalAmount($order_id);   
    
    // aktualizuj pozostae dane zamwienia
    include_once ("./include/order_update.inc.php");
}

/**
* Odczytaj dane transakcji.
*/
require_once("./include/select.inc.php");
$theme->head_window();

include_once ("./include/menu_edit.inc.php");
$theme->bar($lang->bar_title["order_edit"]." ".$rec->data['order_id']);
/**
* Wywietl formularz edycji statusu transakcji.
*/
include_once ("./html/edit.html.php");

$theme->foot_window();
include_once ("include/foot.inc");
?>
