<?php
/**
* Klasa obsugujca usuwanie transakcji.
*
* @package order
* @subpackage order
* @ignore
*/

/**
* @package order
* @subpackage order
* @ignore
*/
class DeleteOrder {

    /**
    * Usu rekord
    *
    * @param int $id ID transakcji.
    * @return none
    */
    function delete($id="") {
        global $lang,$db,$mdbd;
        
        if (empty($id)) return;
        
        $query="SELECT order_id FROM order_register WHERE id=?";
        $prepared_query=$db->PrepareQuery($query);
        if ($prepared_query) {
            $db->QuerySetText($prepared_query,1,$id);
            $result=$db->ExecuteQuery($prepared_query);
            if ($result!=0) {
                $num_rows=$db->NumberOfRows($result);
                if ($num_rows>0) {
                    $order_id=$db->FetchResult($result,0,"order_id");
                    
                    // usun produkt
                    $query="DELETE FROM order_register WHERE id=?";
                    $prepared_query=$db->PrepareQuery($query);
                    if ($prepared_query) {
                        $db->QuerySetText($prepared_query,1,$id);
                        $result=$db->ExecuteQuery($prepared_query);
                        if ($result!=0) {
                            print "&nbsp; &nbsp; $order_id -".$lang->deleted."<br>";
                            // skaduj produkty zwizane z tym zamwieniem ( z tabeli order_products)
                            $mdbd->delete("order_products","order_id=?",array($order_id=>"int"));
                        } else die ($db->Error());
                    } else die ($db->Error());
                } else {
                    print $lang->delete_not_found." id=$id<BR>";
                }
            } else die ($db->Error());
        } else die ($db->Error());
        
        return;
    } // end delete()
    
} // end class DeleteOrder

$delete =& new DeleteOrder;

?>