<?php
/**
* Auto-naprawa plikw zmodyfikowanych.
* Strona z formularzami zawierajcymi rda plikw z upgrade i z dysku.
*
* @author m@sote.pl
* @version $Id: repair.php,v 1.4 2004/10/20 09:55:21 maroslaw Exp $
* @package upgrade
*/

// naglowek php
$global_database=true;$global_secure_test=true;
$DOCUMENT_ROOT=$HTTP_SERVER_VARS['DOCUMENT_ROOT'];
require_once ("$DOCUMENT_ROOT/../include/head.inc");
// end naglowek php

/**
* Dodaj obsug sprawdzania wersji bazy danych i sklepu
*/
require_once ("./include/check_version.inc.php");

// naglowek
$theme->head_window();

if ((! empty($_POST['file'])) && (empty($_POST['new']))) {
    $file=$_POST['file'];
    $file['path']=urldecode($file['path']);
    $file['upgrade']=urldecode($file['upgrade']);
    
    $theme->bar($lang->upgrade_diff_title."<br><b>".$file['name']."</b>");
    
    // znajd rnic pomidzy plikami
    require_once ("HTTP/Client.php");
    $http =& new HTTP_Client();
    $http->post("http://www.sote.pl/plugins/_bugs/_diff/index.php",
    array("diff[file1]"=>$file['path'],"diff[file2]"=>$file['upgrade']));
    
    $file['diff']='';
    if (! empty($http->_responses[0]['body'])) {
        $data=unserialize($http->_responses[0]['body']);
        $file['diff']=$data['diff'];        
    }
    
    // zapisz znalezione rnice po analizie plikw
    $f_tmp=$DOCUMENT_ROOT."/tmp/upgrade_diff.txt";
    $fd=fopen($f_tmp,"w+");
    fwrite($fd,$data['diff_patch'],strlen($data['diff_patch']));
    fclose($fd);
    
    /**
    * Ustaw odpowiednie znaki HTML tak, eby poprawnie byy wywietlane jako warto np. textarea
    *
    * @param string $file zawarto pliku
    * @return string zawarto pliku z zamienionymi znakami np. < na &lt; itp.
    */
    function markHTML($file1) {        
        $file1=str_replace('&','&amp;',$file1);
        $file1=str_replace('<','&lt;',$file1);
        $file1=str_replace('>','&gt;',$file1);
        return $file1;
    } // end markHTML()
      
    $file['new']=markHTML($file['new']);
    $file['path']=markHTML($file['path']);
    $file['diff']=markHTML($file['diff']);
    $file['upgrade']=markHTML($file['upgrade']);
    
    /**
    * Formularz HTML z kodami
    */
    include_once ("./html/repair.html.php");
    
} elseif (! empty($_POST['new'])) {
    if (! empty($_POST['file'])) {
        $file=$_POST['file'];
        $theme->bar($lang->upgrade_diff_title."<br><b>".$file['name']."</b>");
        $new=$_POST['new'];
        if (! empty($_POST['file']['new'])) {
            // nowa zawarto pliku zatwierdzona przez uytkownika
            $new_file=$_POST['file']['new'];
            
            // nazwa pliku pakietu aktualizaycjnego
            $upgrade_file=$_POST['file']['upgrade_file'];
            
            // zrob kopie oryginalnego pliku
            // zapisz nowy plik w odpowiedniej lokalizacji
            // zapisz informacje (sum kontroln) o wstawieniu poprawionego pliku do pliku sum_diff.md5
            require_once ("./include/upgrade.inc.php");
            require_once ("include/ftp.inc.php");
            $ftp->connect();
            $upgrade =& new DiffUpgrade($upgrade_file);                       
            $file_name=preg_replace("/^soteesklep[0-9]\//","",$file['name']);                                                
            $file_name=$file['name'];
            
            if ($upgrade->upgradeFile($file_name,$new_file,UPGRADE_FILE_MOD)) {
                print "<p />\n";
                print $lang->upgrade_diff_file_upgraded."<b>".$upgrade->getLastFileCopyName()."</b>)<br />\n";
                print "<li>$file_name</li>\n";   
                print "<center>";
                print "<form><input type=button value=\"$lang->close\" onclick=\"window.close();\"></form>\n";
                print "</center>";
                
                // @todo dodac zpisanie sumy kontrolnej do pliku mod.md5
                // ...
                require_once("include/file_checksum.inc.php");                
                $file_name_1=preg_replace("/^soteesklep3\//","",$file_name);
                $file_name_2=preg_replace("/^soteesklep3/",".",$file_name);
                
                $file_root_path=$DOCUMENT_ROOT."/../".$file_name_1;

                /*
                print "file_name_1=$file_name_1 <br>";
                print "file_name_2=$file_name_2 <br>";
                print "file_root_path = $file_root_path <br>";
                */
                
                $fc =& new FileChecksum($file_root_path,FILE_CHECKSUM_FILE,"mod.md5");                
                // odczytaj sum kontroln pliku z dysku
                $file_checksum=$fc->getChecksum();
                // print "file_checksum pliku instalowanego=$file_checksum <br>";
                $fc->set($file_name_2,$file_checksum);                
                $fc->saveDAT();                
            }
            $ftp->close();
        }
    } else {
        $theme->bar($lang->upgrade_diff_title);
        print $lang->upgrade_file_not_found;
    }
} else {
    $theme->bar($lang->upgrade_diff_title);
    print $lang->upgrade_file_not_found;
}

// stopka
$theme->foot_window();
include_once ("include/foot.inc");
?>
