<?php
/**
* Klasa zwiazana z obsluga walut w sklepie
*
* @author  m@sote.pl
* @version $Id: currency.inc,v 2.14 2004/10/27 07:53:44 maroslaw Exp $
* @package soteesklep
* $Log: currency.inc,v $
* Revision 2.14  2004/10/27 07:53:44  maroslaw
* ""
*
*/

class Currency2 {
    // @dep $config->currency_name id->nazwa
    // @dep $config->currency_data id->kurs
    
    
    /**
    * Konstruktor
    */
    function Currency2() {
        global $config,$_SESSION;
        
        $this->currency=$config->currency;
        
        if (@$_SESSION['__currency']>1) {
            $__currency=$_SESSION['__currency'];
        } else return(0);
                
        if (! empty($config->currency_name[$__currency])) {
            $this->currency=$config->currency_name[$__currency];   
        }
        
         return(0);
    }  // end Currency()
    
    /**
    * Funkcja sprawdzajca, czy jest wybrana jaka waluta inna od domyslnej
    * @return bool true - zmieniono walut, false -  nie zmieniono waluty
    */
    function changed() {
        global $_SESSION;
        if (@$_SESSION['__currency']>1) {
            return true;
        } else return false;
    } // end changed()
    
    /**
    * Lista dostpnych w sklepie walut do wyboru
    * @return none
    */
    function currencyList() {
        global $config,$lang;
        global $_SESSION;
        
        if ($config->cd==1) return;
        
        if ($config->currency_show_form!=1) return;
        
        if (! empty($_SESSION['__currency'])) {
            $default=$_SESSION['__currency'];   
        } else $default='';
               
        require_once ("HTML/Form.php");
        $form = new HTML_Form($config->url_prefix."/plugins/_currency/index.php");        
        $attrib="onChange=\"this.form.submit();\"";
        $form->addSelect("currency",$lang->currency_select,$config->currency_name,$default,1,'',false,$attrib);
        $form->display();
        return;
    } // end currencyList()
    
    /**
    * Pokaz cene wybranej walucie, o ile jest ona inna od domyslnej
    *
    * @param float $price cena
    * 
    * @access public
    * @return float  cena w walucie, false jesli jest error
    */   
    function price($price) {
        global $_SESSION,$theme,$config;
        
        if (empty($price)) return 0;
        
        if (! empty($_SESSION['__currency'])) {                        
            $__currency=$_SESSION['__currency'];
            if (@$config->currency_data[$__currency]>0) {
                $price_currency=$price/$config->currency_data[$__currency];
                $price_currency=$theme->price($price_currency);
                $price=$price_currency;                
                return $price_currency;
            }
        }
        return $price;
    } // end price()
    
} // end class Currency2
?>
