<?php
/**
* Przedstawianie elementow zawartych w polu xml_options
*
* @global string $rec->data['xml_options']
*/

class XMLOptions {
	/**
	* Sprawdz typ danych zawartych w xml_options
	*
	* @param $value wartosc pola xml_options
	* @return class nazwa klasy zawierajacej funkcje obslugujace wartosci pola xml_options
	*/
	function check_type($value) {
		global $config;

		if (eregi("<type>mp3</type>",$value)) return "mp3";
		if (eregi("<type>groups</type>",$value)) return "groups";
		if (eregi("^multi",$value)) return "multi_group";
		return "xml_default";

	} // end check_type()
} // end class XMLOptions

if (! empty($rec->data['xml_options'])) {
	$classname = XMLOptions::check_type($rec->data['xml_options']);
	
	if (! empty($classname)) {
		include_once ("include/xml_options/$classname.inc");
		// przekaz parametr pobrany z bazy z pola xml_options
		$my_xml_options->data=&$rec->data['xml_options'];
	}
}

?>
