<?php
/**
 * Przekieruj uzytwkonika na odpowiednia strone systemu platnosci       
 * w zaleznosci od wybranej opcji, tj w zaleznosci od  wcisnietego      
 * przycisku submit. Strona ta nie jest bezposrenido wywolywana z       
 * przegladarki.                                                        
 * Zapisz transakcje w systemie rejestracji zamowien.                   
 *
 * @require bool $global_lock_register=true konieczne wczesniejsze wywolanie formularza zamowienia
 *
 * @author m@sote.pl
 * @version $Id: register3.php,v 2.12 2004/10/07 11:25:12 maroslaw Exp $
 * @package soteesklep
 */

// Jesli w sesji zapisany jest obiekt, to klasa tego obiektu, 
// musi byc zaladowana przed otworzeniem sesji!
global $DOCUMENT_ROOT;
if (empty($DOCUMENT_ROOT)) {
    $DOCUMENT_ROOT=$HTTP_SERVER_VARS['DOCUMENT_ROOT'];
}

$global_database=true;
$global_secure_test=true;
require_once ("$DOCUMENT_ROOT/../include/head.inc");

$shop->basket();
if ($shop->basket->isEmpty()) {
    $theme->go2main();
    exit;   
}

// sprawdz, czy wczesniej wywolano strone z formularzem zmowienia
if (my(@$_SESSION['global_lock_register'])!=true) {
    // wyswietl strone z linkiem do glownej strony
    $theme->go2main();
    exit;
}


if (! empty($_SESSION['global_basket_data'])) {
    require_once ("go/_basket/include/my_basket.inc.php");
    $basket=& new MyBasket;
    $my_basket=&$basket;
    $my_basket->display="text";
}

// odczytaj dane z sesji z wczesniej wypelnionych formularzy
if (! empty($_SESSION['form'])) {
    $form=&$_SESSION['form'];
}
if (! empty($_SESSION['form_cor'])) {
    $form_cor=&$_SESSION['form_cor'];
}


// czy wybrano platnosc za zaliczeniem pocztowym?
if (! empty($_POST['submit_post'])) {
    $global_id_pay_method=1;
    // zapisz transakcje w bazie danych
    require_once ("./include/order_register.inc.php");
    require_once("$DOCUMENT_ROOT/go/_register/_post/index.php");
    exit;
}

// czy wybrano platnosc karta kredytowa za posrednictwem systemu eCard?
if (! empty($_POST['submit_ecard'])) {
    $global_id_pay_method=2;    
    // zapisz transakcje w bazie danych
    require_once ("./include/order_register.inc.php");
    require_once("$DOCUMENT_ROOT/go/_register/_ecard/index.php");
    exit;
}

// czy wybrano platnosc karta kredytowa za posrednictwem systemu PolCard?
if (! empty($_POST['submit_polcard'])) {
    $global_id_pay_method=3; 
    // zapisz transakcje w bazie danych
    require_once ("./include/order_register.inc.php");
    require_once("$DOCUMENT_ROOT/plugins/_pay/_polcard/index.php");
    exit;
}

// czy wybrano platnosc za posrednictwem systemu Inteligo?
if (! empty($_POST['submit_inteligo'])) {
    $global_id_pay_method=4;
    // zapisz transakcje w bazie danych
    require_once ("./include/order_register.inc.php");
    require_once("$DOCUMENT_ROOT/plugins/_pay/_inteligo/index.php");
    exit;
}

// czy wybrano platnosc karta kredytowa za posrednictwem systemu PolCard?
if (! empty($_POST['submit_mbank'])) {
    $global_id_pay_method=5; 
    // zapisz transakcje w bazie danych
    require_once ("./include/order_register.inc.php");
    require_once("$DOCUMENT_ROOT/plugins/_pay/_mbank/index.php");
    exit;
}

// czy wybrano platnosc karta kredytowa za posrednictwem systemu PolCard?
if (! empty($_POST['submit_citi'])) {
    $global_id_pay_method=6; 
    // zapisz transakcje w bazie danych
    require_once ("./include/order_register.inc.php");
    require_once("$DOCUMENT_ROOT/plugins/_pay/_citiconnect/index.php");
    exit;
}

// czy wybrano platnosc karta kredytowa za posrednictwem systemu PolCard?
if (! empty($_POST['submit_payu'])) {
    $global_id_pay_method=7; 
    // zapisz transakcje w bazie danych
    require_once ("./include/order_register.inc.php");
    require_once("$DOCUMENT_ROOT/plugins/_pay/_payu/index.php");
    exit;
}

// czy wybrano platnosc przelewem?
if (! empty($_POST['submit_transfer'])) {
    $global_id_pay_method=11;
    // zapisz transakcje w bazie danych
    require_once ("./include/order_register.inc.php");
    require_once("$DOCUMENT_ROOT/go/_register/_post/index.php");
    exit;
}

// czy wybrano platnosc przelewem?
if (! empty($_POST['submit_przelewy24'])) {
    $global_id_pay_method=12;
    // zapisz transakcje w bazie danych
    require_once ("./include/order_register.inc.php");
    require_once("$DOCUMENT_ROOT/plugins/_pay/_przelewy24/index.php");
    exit;
}

die ("Bledne okreslenie metody platnosci");
?>
