<?php
/**
 * PHP Template:
 * Aktualizuj dane w tabeli discounts_groups
 * 
 * @author m@sote.pl
 * @template_version Id: update.inc.php,v 2.1 2003/03/13 11:28:55 maroslaw Exp
 * @version $Id: update.inc.php,v 1.4 2003/10/16 13:01:21 piotrek Exp $
 * @package soteesklep
 */

global $db;

if (@$this->secure_test!=true) die ("Bledne wywolanie");

// config
$query="UPDATE discounts_groups SET user_id=?, group_name=?, default_discount=?, public=?, photo=?, group_amount=?, calculate_period=?, start_date=?, end_date=? WHERE id=?";
// end

if(empty($this->data['photo'])) {
    global $database;
    require_once ("include/metabase.inc");
    $this->data['photo']=$database->sql_select("photo","discounts_groups","id=$this->id");
}

$prepared_query=$db->PrepareQuery($query);
if ($prepared_query) {
    
    // config
    $db->QuerySetText($prepared_query,1,$this->data['user_id']);
    $db->QuerySetText($prepared_query,2,$this->data['group_name']);  
    $db->QuerySetText($prepared_query,3,$this->data['default_discount']); 
    $db->QuerySetText($prepared_query,4,@$this->data['public']); 
    $db->QuerySetText($prepared_query,5,$this->data['photo']);
    $db->QuerySetText($prepared_query,6,@$this->data['group_amount']);
    $db->QuerySetText($prepared_query,7,@$this->data['calculate_period']);
    
    // start happy hour
    $db->QuerySetText($prepared_query,8,@$this->data['start_date']);
    $db->QuerySetText($prepared_query,9,@$this->data['end_date']);
    // stop happy hour
    
    $db->QuerySetText($prepared_query,10,$this->id);
    // end
    
    $result=$db->ExecuteQuery($prepared_query);
    if ($result!=0) {
        $update_info=$lang->discounts_groups_edit_update_ok;
    } else die ($db->Error());
} else die ($db->Error());
?>