<?php
/**
 * Zarzdzanie tematami wygldu sklepu
 *
 * @author     amiklosz@sote.pl
 * @version    $Id: themes.html.php,v 1.12 2004/09/22 10:37:18 maroslaw Exp $
 * @package    admin
 * @subpackage _themes
*/
?>

<?php require_once("HTML/Form.php"); ?>

<?php
/**
 * @param string $action akcja formularza
 * @param string $method metoda przesyania danych formularzowych
 * @param string $forName nazwa formularza
 * @param string $title tekst, ktry pojawi si w rozwijalnej liscie
 * @param array $options tablica wartoci w rozwijanej licie
 * @param string $selected domylnie wybrana warto
 */
function printSelectForm($action, $method, $formName, $title, $options, $selected) {
  global $lang, $config;
  
  $selected = "";
  $htmlForm = new HTML_Form($action, $method, $formName);
  $htmlForm->addSelect("thm", $title, $options, $selected);
  $htmlForm->addHidden("update","1");
  $htmlForm->display();
}
?>



<?php
  include ("include/menu.inc.php");
  $theme->bar($lang->themes_title);
  print $lang->themes_info;
  print "<p>\n";
?>


<table align="center" width="90%">

<!-- start Edycja istniejcego tematu: -->
<tr>
  <td align="right"><?php print $lang->themes_edit_info; ?></td>
  <td><?php printSelectForm("action_edit.php", "get", "formEdit", "", $config->editable_themes, $config->theme ); ?></td>
  <td><?php print $buttons->button(@$lang->themes_menu['themes'],"javascript:document.formEdit.submit()");?></td>
</tr>
<!-- end Edycja istniejcego tematu: -->


<!-- start Ustawienie domylnego tematu: -->
<tr>
  <td  align="right"><?php print $lang->themes_set; ?></td>
  <td><?php printSelectForm("action_setdefault.php", "get", "formSetDefault", "", $config->themes, $config->theme); ?></td>
  <td><?php print $buttons->button(@$lang->themes_menu['set_theme'],"javascript:document.formSetDefault.submit()");?></td>
</tr>
<!-- end Ustawienie domylnego tematu: -->

<!-- start Wczenie obsugi wielu tematw: -->
<tr>
  <td  align="right"><?php print $lang->themes_show_info; ?></td>
  <td>
    <?php
      $htmlChoose = new HTML_Form("action_choose.php", "get", "formChoose");
      //$htmlChoose->addPlaintext("", $lang->themes_show_info);
      
      reset($config->themes);
      $checked = "";
      foreach ($config->themes as $key=>$thm)
      {
        // zaznacz te tematy, ktre s ustawione jako aktywne
        foreach ($config->themes_active as $key_act=>$thm_act)
        {
          if ( !empty($config->themes_active[$key]) )
            $checked="1";
          else $checked="";
        }
        
        // zaznacz rwnie ten tamat, ktry ktry jest wybrany jako domylny
        if ($config->theme == $key)
          $checked="1";
        
          $htmlChoose->addCheckbox("active[$key]", $thm, $checked);
      }
    
      $htmlChoose->addHidden("update","1");
      $htmlChoose->display();
    ?>
  </td>
  <td><?php print $buttons->button($lang->update,"javascript:document.formChoose.submit()");?></td>
</tr>
<!-- end Wczenie obsugi wielu tematw: -->

</table>

</p>
