<?php
/**
 * Przekoduj dane z wykorzystaniem nowego PIN'u
 *
 * @global string $__new_pin nowy PIN
 * return  
 * @global string $__pin nowy pin dostepny globalnie
 *
 * @author  m@sote.pl
 * @version $Id: new_pin_gen.inc.php,v 2.1 2003/03/13 11:23:15 maroslaw Exp $
 * @package soteesklep
 */

/* 
 1. Zmien w config/auto_config/user_config.inc.php dane
 	var $db=array(
		 	...
		 	'admin_dbuser'=>'%EC%92d%03',
		 	'admin_dbpassword'=>'%EE%8Au%14h%3E',
 			...
			);
	var $ftp=array(
            ...
			'ftp_password'=>'%D5%B8T%23R%02B%DD%A3',
            ...
			);
 
 2. Zmien pole passsword w tabeli admin_users
*/

// start kodowanie hasla dostepu do ftp
require_once ("include/my_crypt.inc");
$my_crypt = new MyCrypt;
require_once ("include/keys.inc.php"); global $__key,$__secure_key;
// obsluga generowania pliku konfiguracyjnego uzytkwonika
require_once("include/gen_user_config.inc.php");

// utworz nowy klucz kodowania 
$new_secure_key=md5($config->salt.$__new_pin);

// odkoduj dane dostepu do bazy danych dla admina
$de_admin_dbuser=$my_crypt->endecrypt($__secure_key,$config->db['admin_dbuser'],"de");
$de_admin_dbpassword=$my_crypt->endecrypt($__secure_key,$config->db['admin_dbpassword'],"de");

// kodowanie hasla dostepu do bazy danych dla admina
$admin_dbuser=$my_crypt->endecrypt($new_secure_key,$de_admin_dbuser,"");
$admin_dbpassword=$my_crypt->endecrypt($new_secure_key,$de_admin_dbpassword,"");

// odkoduj haslo dostepu do konta FTP
$de_ftp_password=$my_crypt->endecrypt($__secure_key,$config->ftp['ftp_password'],"de");
$ftp_password=$my_crypt->endecrypt($new_secure_key,$de_ftp_password,"");

// generuj sume kontrolna pin
$md5_pin=md5($__new_pin);

// zapamietaj/podmien przekodowane dane
$new_db=$config->db;
$new_db['admin_dbuser']=$admin_dbuser;
$new_db['admin_dbpassword']=$admin_dbpassword;
$new_ftp=$config->ftp;
$new_ftp['ftp_password']=$ftp_password;


// zapisz plik konfiguracyjny z sumami kontrolnymi
$gen_config->gen(array("db"=>$new_db,"ftp"=>$new_ftp,"md5_pin"=>$md5_pin));

global $__pin;
$__pin=$__new_pin;
$sess->register("__pin",$__pin);
?>