<?php
/**
* Sprawd poprawnosc formularza, dodatkowe funkcje.
*
* @author m@sote.pl
* @version $Id: form_check_functions.inc.php,v 2.4 2004/11/05 10:28:25 maroslaw Exp $
* @package admin_users
*/

/**
* Obsluga kodowania + klucze.
*/
require_once ("include/keys.inc.php"); global $__key,$__secure_key;
/**
* Klasa kodowania danych.
*/
require_once ("include/my_crypt.inc");
$my_crypt = new MyCrypt;

/**
* Klasa z dodatkowymi funkcjami validacji pl formularza.
* @package admin_users
* @ignore
*/
class FormCheckFunctions extends FormCheck {
    function id($id) {
        $this->id=$id;
        return true;
    } // end id()
    
    function id_admin_users_type($type) {
        $this->type=$type;
        if ($type==1) $this->superadmin=1;
        else $this->superadmin=0;
        return true;
    } // end id_admin_users_type()
    
    /**
    * Sprawdz stare/obecne haslo
    *
    * @param string $password stare haslo
    * @public
    */
    function password($password) {
        return true;
        /*
        global $db;
        global $my_crypt;
        global $__secure_key;
        
        if  ($this->superadmin!=1) return true;
        
        // sprawdz obecne haslo uzytkownika
        $query="SELECT password FROM admin_users WHERE id=?";
        $prepared_query=$db->PrepareQuery($query);
        if ($prepared_query) {
        $db->QuerySetInteger($prepared_query,1,$this->id);
        $result=$db->ExecuteQuery($prepared_query);
        if ($result!=0) {
        $num_rows=$db->NumberOfRows($result);
        if ($num_rows==1) {
        $crypt_password=$db->FetchResult($result,0,"password");
        // odkoduj haslo dla celow porownania
        $decrypt_password=$my_crypt->endecrypt($__secure_key,$crypt_password,"de");
        if ($decrypt_password==$password) {
        return true;
        } else return false;
        } else die ($error->error("admin_users_not_found"));
        } else die ($db->Error());
        } else die ($db->Error());
        
        return false;
        */
    } // end password()
    
    /**
    * Sprawdz czy zostalo wprowadzone nowe haslo
    *
    * @param string $password]
    * @public
    */
    function new_password($password) {
        $this->new_password=$password;
        return $this->string($password);
    } // end new_password()
    
    /**
    * Sprawdz czy potworzone nowe haslo jest poprawne
    *
    * @param string $password
    * @public
    */
    function new_password2($password2) {
        if ($this->new_password==$password2) return true;
        return false;
    } // end new_password2()
    
} // end class FormChceckFunctions
?>