<?php
/**
* Aktualizuj dane transakcji
*
* @author  m@sote.pl
* @version $Id: order_update.inc.php,v 2.20 2004/10/01 09:10:58 maroslaw Exp $
* @package order
* @subpackage order
*/

/**
* \@global int   $id id transakcji
* \@global float $__total_amount kwota zamwienia wg. tabeli order_products
*/

if (@$global_secure_test!=true) {
    die ("Forbidden");
}

/**
* Dodaj klas zawierajca funkcje obliczania sumy kontrolnej.
*/
require_once ("include/order/checksum.inc");

// pobieram aktualna date
$date=date("Y-m-d");

if (! empty($_POST['order'])) {
    $order=$_POST['order'];
} else die ("Forbidden: Order ID");

if (@$order['confirm']==1) {
    $confirm=1;
    // $pay_status_new='005';
}
else $confirm=0;

if (@$order['confirm_user']==1) $confirm_user=1;
else $confirm_user=0;

if (! empty($order['description'])) {
    $description=$order['description'];
}

if (! empty($order['send_date'])) {
    if (ereg ("^([0-9]{4})-([0-9]{1,2})-([0-9]{1,2})$",$order['send_date'])) {
        $send_date=$order['send_date'];
    } else {
        $send_date=$date;
    }
} else {
    $send_date=$date;
}

if (! empty($order['send_number'])) {
    $send_number=$order['send_number'];
}

if (@$order['send_confirm']==1) $send_confirm=1;
else $send_confirm=0;

if (empty($order['onet'])) {
    $onet=0;
} else {
    $onet=$order['onet'];
}

// odczytaj status nadawany transakcji partnera
if (! empty($order['confirm_partner'])) {
    $confirm_partner=$order['confirm_partner'];
} else $confirm_partner=0;

// start set pay_status:
$pay_status='';
if (! empty($order['pay_status'])) {
    if (ereg("^[0-9]+$",$order['pay_status'])) {
        $pay_status=$order['pay_status'];
    }
}
// end set pay_status:

// start amount_confirm: - kwota rozliczenia modyfikowana przez sprzedawce
$amount_confirm=0;
if (! empty($order['amount_confirm'])) {
    if ($order['amount_confirm']>0) {
        $amount_confirm=$order['amount_confirm'];
        $amount_confirm=ereg_replace(",",".",$amount_confirm);
        $amount_confirm=$theme->price($amount_confirm);
    }
}
// end amount_confirm:

// odczytaj jaki jest teraz status transakcji, czy jest zaplacona
// musimy wieziec, ajki status byl wczesniej, gdyz w ten sposob mozemy
// dowiedziec sie czy uzytwkonik zmienil status platnosci;
// na podstawie tej informacji bedziemy pozniej dodawac lub odejmowac pubkty dla uzytkownika
$query="SELECT confirm,amount,delivery_cost,pay_status FROM order_register WHERE id=?";
$prepared_query=$db->PrepareQuery($query);
if ($prepared_query) {
    $db->QuerySetInteger($prepared_query,1,$id);
    $result=$db->ExecuteQuery($prepared_query);
    if ($result!=0) {
        $num_rows=$db->NumberOfRows($result);
        if ($num_rows>0) {
            $before_confirm=$db->FetchResult($result,0,"confirm");
            $before_amount=$db->FetchResult($result,0,"amount");
            $before_delivery_cost=$db->FetchResult($result,0,"delivery_cost");
            $pay_status=$db->FetchResult($result,0,"pay_status");
            if (! empty($pay_status_new)) {
                $pay_status=$pay_status_new;
            }
        } else exit;
    } else die ($db->Error());
} else die ($db->Error());

// sprawdz czy kwota rozliczenia nie jest wyzsza od kwoty transakcji, oraz sprawdz zakres kwoty rozliczenia
if ($amount_confirm>($before_amount+$before_delivery_cost)) {
    $amount_confirm=$before_amount+$before_delivery_cost;
} elseif ($amount_confirm<0) $amount_confirm=0;

// start checksum:
$dat=$mdbd->select("amount,order_id","order_register","id=?",array($id=>"int"),"LIMIT 1");
$checksum=OrderChecksum::checksum($dat['order_id'],$confirm,$dat['amount']);
// end checksum:

$query="UPDATE order_register SET confirm=?, id_status=?, confirm_partner=?, confirm_user=?,
            description=?, send_date=?, send_number=?, send_confirm=?, pay_status=?, 
            amount_confirm=?, checksum=?, 
            total_amount=?,  confirm_partner=?
        WHERE id=?";

$prepared_query=$db->PrepareQuery($query);
if ($prepared_query) {
    $db->QuerySetInteger($prepared_query, 1, $confirm);
    $db->QuerySetInteger($prepared_query, 2, $order['status']);
    $db->QuerySetInteger($prepared_query, 3, $confirm_partner);
    $db->QuerySetInteger($prepared_query, 4, $confirm_user);
    $db->QuerySetText(   $prepared_query, 5, @$description);
    $db->QuerySetText(   $prepared_query, 6, @$send_date);
    $db->QuerySetText(   $prepared_query, 7, @$send_number);
    $db->QuerySetInteger($prepared_query, 8, $send_confirm);
    $db->QuerySetText(   $prepared_query, 9, $pay_status);
    $db->QuerySetFloat(  $prepared_query,10, $amount_confirm);
    $db->QuerySetText(   $prepared_query,11, $checksum);
    $db->QuerySetText(   $prepared_query,12, $__total_amount);
    $db->QuerySetText(   $prepared_query,13, @$order['confirm_partner']);
    $db->QuerySetInteger($prepared_query,14, $id);
    
    $result=$db->ExecuteQuery($prepared_query);
    if ($result!=0) {
        // dane zostaly poprawnie zaktualizowane
        // wyslij info do klienta, jeli dany status transakcji ma zaznaczon odpowiedni opcj
        // i jeli sprzedawca nie wyczy dla tej transakcji (status_unlock) wysyania potwierdzenia
        /* Obsuga statusw */        
        if (@$order['status_unlock']==1) {
            require_once ("./include/status.inc.php");
            $o_status =& new OrderStatus;
            if ($o_status->send($dat['order_id'],$order)) {
                print $lang->order_status_sent;
            }
        } else {
            print $lang->order_status_lock_info;   
        }        
    } else die ($db->Error());
} else die ($db->Error());


// odczytaj kwote zakupow i id uzytwkonika, ktory dokonal zakupow
$amount=0;$id_user='';
if ((! empty($config->order_points))  && ($config->order_points>0)) {
    // odczytaj kwote zakupow
    $query="SELECT amount,id_users FROM order_register WHERE id=?";
    $prepared_query=$db->PrepareQuery($query);
    if ($prepared_query) {
        $db->QuerySetInteger($prepared_query,1,$id);
        $result=$db->ExecuteQuery($prepared_query);
        if ($result!=0) {
            $num_rows=$db->NumberOfRows($result);
            if ($num_rows>0) {
                $amount=$db->FetchResult($result,0,"amount");
                $id_user=$db->FetchResult($result,0,"id_users");
            } else exit;
        } else die ($db->Error());
    } else die ($db->Error());
} else {
    exit;
} // end if


// oblicz ilosc punktow i dodaj je do preferencji uzytkwonika tj do tabeli users_points
if ((! empty($amount)) && ($amount>0) && (! empty($id_user))) {
    $var_points=intval(($amount/100)*$config->order_points);
    
    // odczytaj obecna liczbe punktow
    $query="SELECT points FROM users_points WHERE id_user=?";
    $prepared_query=$db->PrepareQuery($query);
    if ($prepared_query) {
        $db->QuerySetInteger($prepared_query,1,$id_user);
        $result=$db->ExecuteQuery($prepared_query);
        if ($result!=0) {
            $num_rows=$db->NumberOfRows($result);
            if ($num_rows>0) {
                $current_points=$db->FetchResult($result,0,"points");
            }
        } else die ($db->Error());
    } else die ($db->Error());
    
    // sprawdz czy uzytkownik zmienil status platnosci
    if (empty($current_points)) {
        $current_points=0;
    }
    $new_points=$current_points;
    if ($before_confirm!=$confirm) {
        // zmien punkty, sprawdz czy uzytkwonik anulowal czy potwierdzil platnosc
        if ($confirm==1) {
            // platnosc potwierdzona, dodajemy punkty
            $new_points=$current_points+$var_points;
        } else {
            // platnosc niepotwierdzona, odejmujemy punkty (zmiana transakcji potwierdzonej na niepotwierdzona)
            $new_points=$current_points-$var_points;
            if ($new_points<0) $new_points=0;
        }
    }
    
    // aktualizuj punkty uzytkownika
    if (! empty($id_user)) {
        $global_points=$new_points;
        $global_id_user=$id_user;
        
        require_once("include/update_user_points.inc.php");
    }
}

// aktualizacja transakcji w zaleznosci od systemu platynosci
$id_pay_method=@$_REQUEST['order']['id_pay_method'];
$file=$DOCUMENT_ROOT."/go/_order/include/pay_method_class/pm_".$id_pay_method.".inc.php";
if (file_exists($file)) {
    require_once ("./include/pay_method_class/pm_".$id_pay_method.".inc.php");
    $pay_method->update($id);
}
?>
