<?php
/**
* Upgrade pakietu. Automatyczna aktualizacja programu.
* Strona z formularzem zaczenia pakietu upgrade oraz odczytanie zaczonego pliku.
*
* @author m@sote.pl
* @version $Id: index.php,v 1.10 2004/10/19 11:54:59 maroslaw Exp $
* @package upgrade
*/

// naglowek php
$global_database=true;$global_secure_test=true;
$DOCUMENT_ROOT=$HTTP_SERVER_VARS['DOCUMENT_ROOT'];
require_once ("$DOCUMENT_ROOT/../include/head.inc");
// end naglowek php

/**
* Dodaj obsug sprawdzania wersji bazy danych i sklepu
*/
require_once ("./include/check_version.inc.php");

// naglowek
$theme->head();
$theme->page_open_head();

include_once ("./include/menu.inc.php");
$theme->bar($lang->upgrade_title);

print "<p />\n";

$file_md5="$DOCUMENT_ROOT/../sum.md5";
if (! file_exists($file_md5)) {
    
    print "<p />$lang->upgrade_nomd5_info <p /> <a href=download_md5.php><u>$lang->upgrade_md5_install</u></a>\n";
    
    $theme->page_open_foot();
    $theme->foot();
    include_once ("include/foot.inc");
    exit;
}

if (empty($_FILES['upgrade_pkg']['name'])) {
    
    // formularsz html do zaladowania pakietow
    include_once ("./html/upgrade.html.php");
    
    // wykonaj dodatkowe instrukcje zwizane z gid_2
    include_once ("./include/gid_2.inc.php");
    
    $upgrade_data=$mdbd->select("id,date_add,name,description,version,filename","upgrade",1,array(),"ORDER BY id DESC LIMIT 10","ARRAY");
    
    if (! empty($upgrade_data)) {
        print $lang->upgrade_prev."<p />\n";
        print "<ul>\n";
        foreach ($upgrade_data as $num=>$dat) {
            print "<li>".$dat['date_add']." ".sprintf("%05d",$dat['version'])." ".$dat['name']." ".$dat['description']." ";
            if (! empty($dat['filename'])) {
                print " (".$dat['filename'].") ";
            }
            print "</li>\n";
        }
        print "</ul>\n";
    }
    
} else {
    
    $file_name=$_FILES['upgrade_pkg']['name'];
    require_once ("include/ftp.inc.php");
    $ftp->connect();
    $file_tmp=$_FILES['upgrade_pkg']['tmp_name'];
    $ftp->put($file_tmp,$config->ftp['ftp_dir']."/admin/upgrade/",$file_name);
    $ftp->close();
    print $lang->upgrade_file_uploaded." <b>$file_name</b>";
    
    $upgrade_file=$DOCUMENT_ROOT."/upgrade/$file_name";
    require_once ("./include/upgrade.inc.php");
    $upgrade =& new DiffUpgrade($upgrade_file);
    $upgrade->showListFiles();
    
    print "<table width=300><tr><td><center>\n";
    print "<form action=upgrade.php>\n";
    print "<input type=hidden name=upgrade_pkg value=\"$file_name\">\n";
    print "<input type=submit value=\"$lang->update\">\n";
    print "</form>";
    print "</td></tr></table>\n";
    
}

// dodaj menu upgrade'ow z wersji 2.5->3.0
include_once ("./include/upgrade_menu_25.inc.php");

$theme->page_open_foot();

// stopka
$theme->foot();
include_once ("include/foot.inc");
?>
