<?php
/**
 * Sprawdz czy wybrana opcja zmienia cene produktu
 *
 * @author m@sote.pl
 * @version $Id: price_xml_options.inc.php,v 2.2 2003/12/16 09:50:05 maroslaw Exp $
 * @package soteesklep
 */

if (@$global_secure_test!=true) die ("Niedozwolone wywolanie");

class Price_XML_Options {

    /**
     * Sprawdz wybrana opcje przy produkcie. Sprawdz czy wybranie opcji zmienia cene produktu.
     * Jesli, tak to odczytaj ta cene.
     * Jako dane wejsciowe mamy parametr przekazany przez GET oraz dane rekodu z bazy
     *
     * @param float $price_brutto cena domyslna produktu - wartosc pola price_brutto
     * @param string $xml_options opcje odczytane z bazy dla danego rekordu
     * @return float cena zakupu produktu
     */
    function get_price($price_brutto,$xml_options) {    
        $rec->data['xml_options']=$xml_options;
        require_once ("include/xml_options.inc");
        $this->my_xml_options = new MyXMLOptions;
        if (! empty($this->result)) {
            $this->my_xml_options->result=&$this->result;
        }
        $price_brutto=$this->my_xml_options->price($price_brutto,$xml_options);        

        return $price_brutto;
    } // end get_price

} // end class Price_XML_Options

?>