<?php
/**
 * Lista producentow w danej kategorii
 */

require_once ("config/tmp/producer.php");

class ProducerList {
    var $url="/go/_category/";
    var $data=array();          // tablica z listami producentow
    var $idc;                   // aktualna wartosc id kategorii $idc (lub $cidc)

    /**
     * Wyswietl liste producentow w danej kategorii z linkami
     */
    function show() {
        global $_SESSION;
        global $theme;

        // sprawdz czy jest zalaczony filtr producenta 
        if (! empty($theme->producer_filter_name)) {
            print $theme->producer_filter_name;
            return(0);
        }

        if ((empty($this->idc)) || (! ereg("^[id0-9_]+$",$this->idc))) return(0);        
        $producers=@$this->data[$this->idc];
        if (! empty($producers)) {
            reset($producers);        
            foreach ($producers as $producer) {
                $producer_name=key($producer);
                $producer_id=$producer[$producer_name];
                print "<a href=".$this->url."?idc=".$this->idc."&producer_id=$producer_id>";
                print "<u>$producer_name</u>";
                print "</a> ";
            } // end foreach
        } 

        return(0);
    } // end show()
} // end class ProducerList

$producer_list = new ProducerList;
$producer_list->data=@$__producers;
$producer_list->idc=$__get_idc;

?>
