<?php
/**
 * Wyloguj uzytkwonika
 *
 * @author m@sote.pl
 * @version $Id: logout.inc.php,v 2.4 2003/12/18 13:48:21 remik Exp $
 * @package soteesklep
 */

class Logout {
    /**
     * Wyrejestruj calkowicie uzytkownika.
     */
    function logout_all() {
        global $sess;

        $sess->unregister("form");
        $sess->unregister("form_cor");
        $sess->unregister("form_cor_addr");
        $sess->unregister("global_prv_key");
        $sess->unregister("global_login");
        $sess->unregister("global_lock_bakset");
        $sess->unregister("global_lock_register");
        $sess->unregister("global_lock_user");
        $sess->unregister("global_firm_login");
        $sess->unregister("global_id_user");
        $sess->unregister("__id_discounts_groups");
        $sess->unregister("__user_discount");
        $sess->unregister("__id_sales");

        return(0);
    } // end logout
 
    /**
     * Wyrejestruj dane zwiazane z zalogowanym uzytkwonikiem
     */
    function logout_user() {
        global $sess;

        $sess->unregister("form");
        $sess->unregister("form_cor");
        $sess->unregister("form_cor_addr");
        $sess->unregister("global_prv_key");
        $sess->unregister("global_login");
        $sess->unregister("global_firm_login");
        $sess->unregister("global_id_user");
        $sess->unregister("__id_discounts_groups");
        $sess->unregister("__user_discount");
        $sess->unregister("__id_sales");

        return(0);
    } // end logout_user
} // end class Logout

$logout = new Logout;

?>
