<?php
/**
* Plik naglowkowy wywlywany przy kazdym wywolaniu strony
* zawiera wywolanie glownych bibliotek, klas, obiektow
*
* @global string $__secure_key  unikalny klucz bezpieczenstaw programu
* @global bool   $__secure_test zabezpieczenie przed wywolaniem plikow includowanych do skryptow
*
* @author m@sote.pl
* @version $Id: head.inc,v 2.51 2004/10/19 14:49:48 maroslaw Exp $
* @package soteesklep
*/

// pomiar czasu wykonania skryptu
$startTime=split(" ",microtime());
$startTime=$startTime[1]+$startTime[0];

// usun znak / na koncu DOCUMENT_ROOT
$DOCUMENT_ROOT=preg_replace("/\/$/","",$DOCUMENT_ROOT);

// odczytaj unikalalny kod bezpieczenstwa programu
$__secure_key=md5(ini_get("disable_functions"));

// zezwalaj na includowanie skryptow, klas itp
$global_secure_test=true; // stara konstrukcja, zachowana dla zgodnosci
$__secure_test=true;      // nowa poprawna definicja zmeinenj globalnej

// ustaw maksymalny poziom debugowania: (1) tryb DEVELOP, (1) tryb USER
error_reporting(1);

// sprawdz czy jest wylaczony tryb register_globals
$register_globals=ini_get("register_globals");
if ($register_globals==1) {
    die ("Ustaw register_globals = Off");
}

// sprawdz czy PHP dziala w bezpiecznym trybie
$safe_mode=ini_get("safe_mode");
if ($safe_mode!=1) {
    die ("Wstaw w httpd.conf<BR>php_admin_value safe_mode 1");
}

// wyzeruj cookie jest wywolanu zmiane producenta (treeview)
if ((! empty($_REQUEST['producer_filter'])) || (@$_REQUEST['producer_filter']=="0")) {
    setcookie("clickedFolder","",time(),"/");
}

// odczytaj glowna sciezke instalacji programu - wskazanie na htdocs
if (empty($DOCUMENT_ROOT)) {
    $DOCUMENT_ROOT=$HTTP_SERVER_VARS['DOCUMENT_ROOT'];
}

$HTTP_SERVER_VARS['DOCUMENT_ROOT']=&$DOCUMENT_ROOT;
$_SERVER['DOCUMENT_ROOT']=&$DOCUMENT_ROOT;

// ustaw sciezki przeszukwian require i include
$_LIBS="$DOCUMENT_ROOT/htdocs/base:$DOCUMENT_ROOT/..:$DOCUMENT_ROOT:$DOCUMENT_ROOT/../lib:$DOCUMENT_ROOT/../lib/PEAR:$DOCUMENT_ROOT/base:$DOCUMENT_ROOT/base/lib::$DOCUMENT_ROOT/base/lib/PEAR:$DOCUMENT_ROOT/htdocs/base/lib:$DOCUMENT_ROOT/htdocs/base/lib/PEAR:";
ini_set("include_path","$_LIBS:.");

// inicjacja struktury obiektow SOTEeSKLEP (od wersji 2.5.10)
require_once ("include/objects.inc");

// obsluga pomiaru czasu wykoannia skryptow klasa Time
@include_once ("include/time.inc");

// odczytaj konfiguracje glowna
require_once ("config/config.inc.php");

// obsluga sesji
if (@$__no_session==true) {
    require_once ("include/no_session.inc");
} else require_once ("include/session.inc");



// zmien temat w konfiguracji, nadpisz domyslna nazwe tamatu z $config->theme
if (! empty($_SESSION['global_theme'])) {
    $config->theme=$_SESSION['global_theme'];
    // uaktualnij sicezke do tematu w obiekcie $config - $config->theme_dir
    $config->theme_dir();
}

// zmien jezyk w konfiguracji, nadpisz domyslna nazwe jezyka z $config->lang
if (! empty($_SESSION['global_lang'])) {
    $config->lang=$_SESSION['global_lang'];
    $config->theme_dir();        
}
// end

// dodaj obsluge DBEdit
require_once "lib/DBEdit-Metabase/DBEdit.inc";

// dodaj obsluge bazy danych (lib: MetaBase)
if ($global_database==true) {
    // nie wszystkie wywolania stron posiadaja obsluge bazy
    // polaczenie z baza jest wywolywane, tylko na tych stronach, ktore
    // tego wymagaja. wymaganie to okresla sie poprzez ustawienie
    // zmiennej $global_database=true przed wywolaniem head.inc
    require_once "lib/Metabase/metabase_interface.php";
    require_once "lib/Metabase/metabase_database.php";
    require_once "config/database.php";
}

// dodaj obsluge my()
require_once("include/my.inc");


// dodaj obsluge generowania odpowiedniej ceny produktu
require_once("include/price.inc");

// odczytaj klase definicji jezykowych
if (@empty($lang)) {
    class Lang {}; $lang =& new Lang;
    class Error{}; $error =& new Error;
}

if ($config->base_lang!=$config->lang) {
    require_once ("lang/_$config->base_lang/lang.inc.php");
}
@include_once("lang/_$config->lang/lang.inc.php");   // obiekt $lang
@include_once("lang/_$config->lang/error.inc.php");  // obiekt $error


if (($config->base_lang!=$config->lang) && (empty($__start_page))) {
    // odczytaj definicje lokalne glownego jezyka, na wypadek, gdyby w $config->lang brakowalo pewnych definicji
    // z pominieciem wywolania dla glownej strony
    @include_once ("./lang/_$config->base_lang/lang.inc.php"); // dodatkowe definicje obiektu $lang
}

// jesli istnieja loaklne definicje jezykowe to je odczytaj
@include_once ("./lang/_$config->base_lang/lang.inc.php"); // dodatkowe definicje obiektu $lang dla base lang
@include_once ("./lang/_$config->lang/lang.inc.php");      // dodatkowe definicje obiektu $lang

// jesli istnieja lokalne definicje konffiguracji - lokalna konfiguracja modulow itp.
@include_once ("./config/config.inc.php"); // dodatkowe definicje obiektu $config


// obsluga bledow, debugowanie, komunikaty
require_once("include/debug.inc");                  // obiekt $debug
if (! class_exists("Status")) {
    class Status{}; $status =& new Status;
}

// odczytaj temat wygldu strony
require_once("themes/theme.inc.php");
// --- end funkcje tematu wygladu

// odczytaj klase obslugujaca zarzadzanie tematem wygladu
include_once("include/themes.inc");

// sprawdz, czy nie wywolano RELOAD w koszyku
// odczytaj sume kontrolna $_REQUEST
require_once ("include/request_md5.inc");

// sprawdz czy uzytkwonik wszedl ze strony partnera, jesli tak zapisz zmienna $global_partner_id w sesji

if (in_array("partners",$config->plugins)) {
    if ((! empty($_REQUEST['partner_id'])) && (! empty($_REQUEST['code']))) {
        include_once ("plugins/_partners/include/partners.inc.php");
    }
}

// start "hapy hour"
if (in_array("happy_hour",$config->plugins) && (! $shop->admin) && (empty($_SESSION['global_id_user']))) {
    require_once ("include/happy_hour.inc");
    $happy_hour = new HappyHour;
}
// end happy hour

/**
* Jesli wywolywany jest panel admina to wywolaj dodatkowe skrypty
*/
if ($shop->admin) {
    @include_once ("include/head.inc.php");
}
//

// odczytaj slownik, odczytaj klase LangFunctions
if ($config->lang!=$config->base_lang) {
    require_once ("include/lang_functions.inc");
}

// zmiana waluty
if (in_array("currency",$config->plugins)) {
    if (empty($_SESSION['__currency'])) {
        $__currency=@$config->currency_lang_default[$config->lang];
        $sess->register("__currency",$__currency);   
    }
    $shop->currency();
}

// domylne zerowanie blokady dodania do koszyka
if ((! empty($_SESSION['basket_add_lock'])) && (@$__basket_add_lock!=true)) {
   $sess->unregister("basket_add_lock");
}
?>
