<?php
/**
* Generuj plik konfiguracyjny uzytkownika config/auto_config/user_config.inc.php
*
* @author  rdiak@sote.pl
* @version $Id: gen_newsletter_config.inc.php,v 2.4 2004/03/29 08:08:11 maroslaw Exp $
* @package newsletter
* @subpackage users
*
* verified 2004-03-10 m@sote.pl
*/

/**
* Zacz obsug generowania pliku konfiguracyjnego.
*/
require_once ("include/gen_config.inc.php");

$gen_config = new GenConfig;
$gen_config->config_dir="/config/auto_config/";          // katalog zawierajacy generowany plik
$gen_config->config_file="newsletter_config.inc.php";    // generowany plik konfiguracyjny
$gen_config->classname="ConfigNewsletter";               // 1) klasa tworzona w pliku, zawierajaca definicje zmeinnych
$gen_config->ext_classname="";           // jesli w/w klasa jest rozszezeniem klasy, to ext_classname okresla nazwa klasy nadrzednej
$gen_config->class_object="config_newsletter";           // obiekt klasy 1)
$gen_config->vars=array(
"newsletter_confirm",
"newsletter_group",
"newsletter_sender",
"newsletter_head",
"newsletter_info_add",
"newsletter_info_del",
"newsletter_foot_add",
"newsletter_foot_del",
"newsletter_delete",
);              // lista zmiennych generowanych w konfiguracji
$gen_config->config=&$config;                           // adres aktualnego obiektu klasy 1)
?>
