<?php
/**
* Wylij wprowadzony newsletter na adresy e-mail z zaznaczonych grup.
*
* Skrypt dziaa w trybie emulacji sesji z obsug HTTP-Streaming.
* Klientowi pokazuje si w nowym oknie pasek statusu, zmienijcy si on-line, odpowiadajcy
* iloci wysanych maili.
*
* @author  rdiak@sote.pl
* @version $Id: send1.php,v 2.13 2004/06/07 13:54:24 maroslaw Exp $
* @package newsletter
* @subpackage users
*
* verified 2004-03-10 m@sote.pl
*/

$DOCUMENT_ROOT=$HTTP_SERVER_VARS['DOCUMENT_ROOT'];
/**
* Naglowek skryptu.
*/
require_once ("$DOCUMENT_ROOT/include/head_stream.inc.php");
require_once ("include/ftp.inc.php");
// obsluga generowania pliku konfiguracyjnego uzytkwonika
require_once("lib/Mail/MyMail.php");
require_once("config/auto_config/newsletter_config.inc.php");

$theme->head_window();
$theme->bar($lang->newsletter_sending);

// zaaduj legende
include_once("./html/newsletter_legend.html.php");

require_once("themes/stream.inc.php");
$stream= new StreamTheme;
$stream->title_500();

// naglowek

if (! empty($_REQUEST['send'])) {
    $send=$_REQUEST['send'];
} else {
    $send=false;
}

if (! empty($_REQUEST['groups'])) {
    $groups=$_REQUEST['groups'];
    $where=" AND (";
    foreach($groups as $value) {
        $value=addslashes($value);
        $where.=" groups LIKE '%:".$value.":%' OR";
    }
    $where=ereg_replace("OR$",")",$where);
} else {
    $groups=false;
    $where=' AND groups is NULL';
}

if (! empty($_REQUEST['lang'])) {
    $lang_key=addslashes($_REQUEST['lang']);
    $where.=" AND lang='".$lang_key."' ";   
}

$send_mail=new MyMail;
if (empty($_POST['item']['subject'])) {
    die ($lang->newsletter_no_subject);
} else $subject=$_POST['item']['subject'];
if (empty($_POST['item']['message'])) {
    die ($lang->newsleter_no_body);
} else $message=$_POST['item']['message'];

// odczytaj adresy email z bazy
$query="SELECT id,email,status,active FROM newsletter WHERE active=1".$where;
$prepared_query=$db->PrepareQuery($query);
if ($prepared_query) {
    $result=$db->ExecuteQuery($prepared_query);
    if ($result!=0) {
        $num_rows=$db->NumberOfRows($result);
        if ($num_rows>0) {
            $k=1;
            print "<br>";
            $send_ok=0;
            $send_error=0;
            $send_leave=0;
            for($row=0;$row<$num_rows;$row++) {
                if( $row > 500 ) {
                    break;
                }
                $content='';
                $id=$db->FetchResult($result,$row,"id");
                $email=$db->FetchResult($result,$row,"email");
                $status=$db->FetchResult($result,$row,"status");
                $active=$db->FetchResult($result,$row,"active");
                // jesli konto jest aktywne
                if($status == 1) {
                    include ("./html/newsletter_info.html.php");
                    $content.=$message."\n\n\n".$info;
                    // jesli wysanie maila powiodo sie to
                    if($send_mail->send($config_newsletter->newsletter_sender,$email,$subject,$content,"",@$_REQUEST['item']['type'])) {
                        $stream->line_blue();
                        flush();
                        $send_ok++;
                    } else {
                        $stream->line_red();
                        flush();
                        $send_error++;
                    }
                } else {
                    $stream->line_green();
                    flush();
                    $send_leave++;
                }
                $k++;
                if ($k==500) {
                    $k=0;
                    print "<br>";
                }
            }
        } else {
            print "<center><br>$lang->newsletter_empty<br></center>";
            exit;
        }
    } else die ($db->Error());
} else die ($db->Error());

//zaaduj legende
include_once("./html/newsletter_end.html.php");

$theme->foot_window();
include_once ("include/foot.inc");
?>