<?php
/**
 * PHP Template
 * 
 * Sprawdz poprawnosc formularza, dodatkowe funkcje
 *
 * @author m@sote.pl
 * @version $Id: form_check_functions.inc.php,v 1.1 2003/04/24 14:24:29 piotrek Exp $
 * @package soteesklep reviews scores
 * @return int $this->id
 */

class FormCheckFunctions extends FormCheck {
    // lokalne definicja fukcji sptrawdzajacych poprawnosc pol formularza
    
    /**
     * Sprawdzenie score_amount i scores_number - suma ocen i liczba ocen
     *
     * @author piotrek@sote.pl
     * @param  $score string - suma lub liczba ocen
     *
     * @public
     */
        
    function scores($score) {
        
        if(empty($score)) {
            $this->error_nr=10;   // wpisz warto         
            return false;
        }
        
        if (! eregi("^[0-9]+$",$score)) {            
            $this->error_nr=11;   // zla wartosc         
            return false;
        }
        
        return true;
    }
    
} // end class FormCheckFunction
?>